#1  
Old 29th June 2006, 18:42
Z3n Z3n is offline
Junior Member
 
Join Date: Jun 2006
Posts: 5
Thanks: 0
Thanked 0 Times in 0 Posts
Send a message via AIM to Z3n Send a message via MSN to Z3n Send a message via Yahoo to Z3n
Default Xen 3.0 and 3Ware 9550sx

Greetings all.

First off, a big thanks to Falko and all the other authors, I have used numerous howtos from this site and I wanted to say thank you to you all. They have all worked as documented and they have made my life much easier.

Just got in a new server with the 3Ware 9550sx-4lp card installed. I downloaded a Debian 3.1 installation .iso from 3Ware's site to get the system up and running.

http://www.3ware.com/kb/article.aspx?id=14860

Now on the to the problem...

I want to virtualize this server... following Falko's The Perfect Xen 3.0 Setup For Debian (which I have installed and used numerous times) it is using kernel 2.6.12 for the dom0 and U Xen kernels. According to this site....

http://www.3ware.com/support/OS-support.asp

The 3Ware driver that is needed is default supported in 2.6.14. I believe that the driver sources are available to compile it into 2.6.12 but I don't have any idea how to do this... Never had to do something like this before. According to the documentation that I have found ... during the make everything is reference to /usr/src/linux which isn't the case for compiling the Xen kernels.

I would like to learn how to compile this kind of thing into the kernel but I am on a time crunch as well... Always on a time crunch, right?

How do I compile this into the Xen kernels? Or better yet, how do I get the Xen install from the howto to use 2.6.14, is the 2.6.14 kernel supported in Xen yet?

Thanks in advance.
Reply With Quote
Sponsored Links
  #2  
Old 29th June 2006, 23:39
falko falko is offline
Super Moderator
 
Join Date: Apr 2005
Location: Lneburg, Germany
Posts: 41,701
Thanks: 1,900
Thanked 2,741 Times in 2,575 Posts
 
Default

I'd try to use Xen 3.0.2 then. I think it uses 2.6.14 or 2.6.16 or something like that. But be aware that my Xen 3.0.1 tutorial doesn't work for 3.0.2 (although I haven't tried 3.0.2 myself, but it was reported by a lot of people).
__________________
Falko
--
Download the ISPConfig 3 Manual! | Check out the ISPConfig 3 Billing Module!

FB: http://www.facebook.com/howtoforge

nginx-Webhosting: Timme Hosting | Follow me on:
Reply With Quote
Reply

Bookmarks

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT +2. The time now is 08:25.


Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2014, vBulletin Solutions, Inc.